Bug 120517 - redhat-config-packages is unable to install many packages due to RHEL updates (up2date)
redhat-config-packages is unable to install many packages due to RHEL updates...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-packages (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On: 83485
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-09 14:33 EDT by Håkan Lindqvist
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-02 07:50:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Håkan Lindqvist 2004-04-09 14:33:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040327 Firefox/0.8

Description of problem:
redhat-config-packages doesn't seem to be able to install many
packages due to dependency problems between packages on the RHEL CDs
and updated packages installed through up2date.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Have samba and samba-common but not samba-client installed.
2. Upgrade all packages (including above) through up2date.
3. Try to install samba-client through redhat-config-packages.
    

Actual Results:  With redhat-config-packages I get "* using
samba-common-0:3.0.0-14.3E.i386 to satisfy samba-common-3.0.0 
('samba-common', '3.0.2')" in the console... 
 
...and "Unlocatable package: samba-common | Required by: ('samba', 
'3.0.2','6.3E')" in the "Package Not Found" dialog. 
 
up2date on the command line, however, could install samba-client. 

Expected Results:  The package should be installed. (Through up2date
or some other way.)

Additional info:

As redhat-config-packages' package installation capabilities are
severely crippled by package updates from up2date (security fixes,
etc) I find this quite serious for redhat-config-packages.
Comment 1 John England 2004-04-30 18:34:06 EDT
Ditto, with one exception.  Does not occur always, just sometimes,
depending on what packages you are adding and if there are dependencies.

I reproduced this bug as well.  My situation end result is the same,
with perhaps different packages. I'm using Enterprise 3 WS.

Problem: add "new" packages previously not installed errors out due to
package conflicts.  I tried to add all 11 packages (new add) for X11
Software Development.  These were previously never installed.

Error from redhat-config-packages:

The following packages could not be found on your system. 
Installation cannot continue until they are installed.

netpbm ('netpbm-progs','9.2.4','11.30.1')
XFree86-libs ('XFree86-xfs','4.3.0','55.EL')
XFree86-libs ('XFree86','4.3.0','55.EL')
XFree86-libs ('XFree86-twm','4.3.0','55.EL')

However, using `rpm -q XFree86-xfs` obviously returns the package is
installed.  And the same for other 3 packages.

My system (1) has been kept updated with up2date. So, I've got the
same error with a conflict between the rpm database and
redhat-config-packages.

This is a neat little bug with dependencies.  For example, I never had
installed the kde-graphics packages.  These haven't conveniently been
updated via up2date.  These packages load just fine "new" from CD
after prompting by redhat-config-packages as there is no conflict on
dependencies or prior versions.

Is there a temporary workaround for this?  My brute-force solution was
to download all 11 rpms from either the CD (going to chase which
cd...) or via RHN EL WS3 channel, then install via command-line rpm.

If I do this, will there still be something corrupted in the rpm
database and RHN/up2date won't recognize these packages installed?
Thanks much!
John E.
Comment 2 John England 2004-05-11 14:03:18 EDT
Document Temporary Work-Around, in case someone finds their way here
and wants a solution rather than contacting support:

There are two easy options to fix this behavior.

1. determine names of package(s) you want to install (e.g. XFree86-devel).

2. two workarounds to install packages (commands in single quotes):
(a) using up2date or;
(b) download rpms from RHN.

At an xterm window, login as su.  Then run commands from there.

Option (a): 'up2date packagename' (e.g. XFree86-devel).

Option (b): download each rpm from RHN and install via:
'rpm -ivh packagename'

When done with option (b), use command up2date -p to sync what is on
your system with what RHN thinks you have installed.

HTH;
-John E.
Comment 3 Robert Perkins 2005-02-20 19:51:51 EST
Platform:  AMD32 bit
Reproducible: Always
Impact:  Can't add any new packages using  redhat-config-packages

redhat-config-packages is broken for me.  I can't add any package.
I add/remove software, select any (ANY) package to add, and am
presented with:
package not found 
unlocatable package
postgresql-libs
krb5-libs
libxml2

**************************************************************
 I have tried rebuilding my rpm database using rpm --rebuilddb.  Then,
---------------------------------------------
First, up2date doesn't map popstgresql-libs  to rh-postgresql-libs
[root@localhost discomatic-0.3]# up2date postgressql
 
Fetching Obsoletes list for channel: rhel-i386-as-3...
 
Fetching Obsoletes list for channel: rhel-i386-as-3-extras...
 
Fetching Obsoletes list for channel: rhn-tools-rhel-3-as-i386...
 
Fetching Obsoletes list for channel: dag...
 
Fetching rpm headers...
########################################
 
Name                                    Version        Rel
----------------------------------------------------------
 
 
The following packages you requested were not found:
postgressql

up2date postgressql leaves
************************************************************
I have subscribed to dag.wieers.com's apt repository. 
Using apt, I get:

apt-get install postgresql-libs


Reading Package Lists... Done
Building Dependency Tree... Done
Selecting rh-postgresql-libs for 'postgresql-libs'
rh-postgresql-libs is already the newest version.
0 upgraded, 0 newly installed, 0 removed 

Aha, I should be looking for the rh version.  Fine.
[root@localhost vpn]# up2date rh-postgresql-libs
 
Fetching Obsoletes list for channel: rhel-i386-as-3...
 
Fetching Obsoletes list for channel: rhel-i386-as-3-extras...
 
Fetching Obsoletes list for channel: rhn-tools-rhel-3-as-i386...
 
Fetching Obsoletes list for channel: dag...
 
Fetching rpm headers...
########################################
 
Name                                    Version        Rel
----------------------------------------------------------
The following packages you requested are already updated:
rh-postgresql-libs

************************************************************
So, apt-get (not RPM) has told me that postgresql-libs actually is
rh-postgreql-libs in my distro.  Fine.  

[root@localhost vpn]# up2date rh-postgresql-libs
 
Fetching Obsoletes list for channel: rhel-i386-as-3...
 
Fetching Obsoletes list for channel: rhel-i386-as-3-extras...
 
Fetching Obsoletes list for channel: rhn-tools-rhel-3-as-i386...
 
Fetching Obsoletes list for channel: dag...
 
Fetching rpm headers...
########################################
 
Name                                    Version        Rel
----------------------------------------------------------
 
 
The following packages you requested are already updated:
rh-postgresql-libs

************************************************************
------------------------------------------------------------
  I can't add any development tools or any package.

Any help appreciated.

Comment 4 Robert Perkins 2005-02-20 19:54:02 EST
I am running RHEL3 U4, all packages up2date as of today using plain
up2date command.
Comment 6 Josue Freitas 2005-03-28 03:58:51 EST
I having the same problem with RHEL 4 AS. When trying to install Development
Tools I get the Package Not Found error message below:

"The following package could not be found on your system.
Installation cannot continue unti. it is installed.

Unlocatable package   Required by
krb5-libs             ('krb5-workstation'),'1.3.4','10')"

both krb5-libs and krb5-workstation are already installed.

I have tried the 'up2date krb5-libs' and 'rpm -ivh krb5-libs-1.3.4-10.i386.rpm'
and 'up2date -p' and 'rpm --rebuilddb' suggestions but I still get the same
error message.

What should I do??

Thanks in advance.

-Josue
Comment 7 Josue Freitas 2005-03-28 03:59:36 EST
I'm having the same problem with RHEL 4 AS. When trying to install Development
Tools I get the Package Not Found error message below:

"The following package could not be found on your system.
Installation cannot continue unti. it is installed.

Unlocatable package   Required by
krb5-libs             ('krb5-workstation'),'1.3.4','10')"

both krb5-libs and krb5-workstation are already installed.

I have tried the 'up2date krb5-libs' and 'rpm -ivh krb5-libs-1.3.4-10.i386.rpm'
and 'up2date -p' and 'rpm --rebuilddb' suggestions but I still get the same
error message.

What should I do??

Thanks in advance.

-Josue
Comment 8 Amritpal Singh 2005-04-20 12:54:09 EDT
I solved the sam problem by removing the package: krb5-workstation.
After removing this single package I was able to install the
development packages.

/Amrit
Comment 11 Joost Remijn 2005-12-30 06:15:52 EST
I'm not this is the same problem. I tried to install the Development packages 
and then i got the error: 
 
Unlocatable package   Required by 
openldap              ('compat-openldap'),'2.1.30','4') 
 
And openldap version 2.2.13-4 was installed. I did use up2date and these 
packages were updated i think.  
 
The solution was removing (rpm -e) compat-openldap. Maybe i will reinstall 
this package to avoid breakage. 
 
/Joost 

Note You need to log in before you can comment on or make changes to this bug.